# IpeFont Struct Reference

A text font. More...

List of all members.

## Public Types

- enum TType { EType1, ETrueType }

## Public Attributes

- TType iType
- IpeString iName
- int iLatexNumber
- IpeString iFontDict
- IpeString iFontDescriptor
- IpeString iStreamDict
- int iLength1
- int iLength2
- int iLength3
- IpeBuffer iStreamData
- IpeString iEncoding [0x100]
- bool iStandardFont
- int iWidth [0x100]

## Detailed Description

A text font.

## Member Enumeration Documentation

enum IpeFont::TType

| Ipe supports two types of fonts.

## Member Data Documentation

TType IpeFont::iType

| The font type.

IpeString IpeFont::iName

| The name of this font (e.g. "Times-Roman").

int IpeFont::iLatexNumber

| The font id in the Pdflatex output: /Fxx.

IpeString IpeFont::iFontDict

| The font dictionary in the PDF file.

IpeString IpeFont::iFontDescriptor

| The font descriptor in the PDF file.

IpeString IpeFont::iStreamDict

| The stream dictionary for the font stream in the PDF file.

int IpeFont::iLength1

| The values of LengthX in the font stream in the PDF file.

int IpeFont::iLength2

| The values of LengthX in the font stream in the PDF file.

int IpeFont::iLength3

| The values of LengthX in the font stream in the PDF file.

IpeBuffer IpeFont::iStreamData

| The stream data for the font stream in the PDF file.

IpeString IpeFont::iEncoding[0x100]

| The encoding of this font.

bool IpeFont::iStandardFont

| Is this one of the 14 standard fonts?

int IpeFont::iWidth[0x100]

| The width of each character in font units.

The documentation for this struct was generated from the following file:

- ipefontpool.h